# Uses of Interface
org.opensaml.messaging.decoder.MessageDecoder

Packages that use MessageDecoder
Package
Description
org.opensaml.messaging.decoder
Interfaces and classes for decoding messages.
org.opensaml.messaging.decoder.httpclient
Interfaces and classes for decoding HTTP messages.
org.opensaml.messaging.decoder.servlet
Interfaces and classes for decoding messages that come from an `HttpServletRequest`.
org.opensaml.messaging.pipeline
Interfaces and classes for message processing pipelines.
org.opensaml.messaging.pipeline.httpclient
Interfaces and classes for HTTP message processing pipelines.
org.opensaml.messaging.pipeline.servlet
Interfaces and classes for HTTP Servlet message processing pipelines.
org.opensaml.profile.action.impl
Implementations of general profile actions.
org.opensaml.saml.common.binding.decoding
Classes used to decode SAML messages.
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.
org.opensaml.saml.saml1.binding.decoding.impl
SAML 1.x message decoders.
org.opensaml.saml.saml2.binding.decoding.impl
SAML 2.0 message decoders.
org.opensaml.soap.client.soap11.decoder.http.impl
SOAP 1.1 client message decoding support implementations.
org.opensaml.soap.soap11.decoder.http.impl
SOAP over HTTP 1.1 message decoder and handlers.

## Uses of MessageDecoder in org.opensaml.messaging.decoder

Classes in org.opensaml.messaging.decoder that implement MessageDecoder
Modifier and Type
Class
Description
`class`
`AbstractMessageDecoder`
Abstract message decoder.

## Uses of MessageDecoder in org.opensaml.messaging.decoder.httpclient

Subinterfaces of MessageDecoder in org.opensaml.messaging.decoder.httpclient
Modifier and Type
Interface
Description
`interface`
`HttpClientResponseMessageDecoder`
A specialization of `MessageDecoder` that operates on a source message data type of `ClassicHttpResponse`.
Classes in org.opensaml.messaging.decoder.httpclient that implement MessageDecoder
Modifier and Type
Class
Description
`class`
`AbstractHttpClientResponseMessageDecoder`
Abstract implementation of `HttpClientResponseMessageDecoder`.
`class`
`BaseHttpClientResponseXMLMessageDecoder`
Base class for message decoders which decode XML messages from a `ClassicHttpResponse`.

## Uses of MessageDecoder in org.opensaml.messaging.decoder.servlet

Subinterfaces of MessageDecoder in org.opensaml.messaging.decoder.servlet
Modifier and Type
Interface
Description
`interface`
`HttpServletRequestMessageDecoder`
A specialization of `MessageDecoder` that operates on a source message data type of `HttpServletRequest`.
Classes in org.opensaml.messaging.decoder.servlet that implement MessageDecoder
Modifier and Type
Class
Description
`class`
`AbstractHttpServletRequestMessageDecoder`
Abstract implementation of `HttpServletRequestMessageDecoder`.
`class`
`BaseHttpServletRequestXMLMessageDecoder`
Base class for message decoders which decode XML messages from an `HttpServletRequest`.

## Uses of MessageDecoder in org.opensaml.messaging.pipeline

Fields in org.opensaml.messaging.pipeline declared as MessageDecoder
Modifier and Type
Field
Description
`private MessageDecoder`
BasicMessagePipeline.`decoder`
Message decoder.
Methods in org.opensaml.messaging.pipeline that return MessageDecoder
Modifier and Type
Method
Description
`MessageDecoder`
BasicMessagePipeline.`getDecoder()`
Get the message decoder instance.
`MessageDecoder`
MessagePipeline.`getDecoder()`
Get the message decoder instance.
Methods in org.opensaml.messaging.pipeline with parameters of type MessageDecoder
Modifier and Type
Method
Description
`protected void`
BasicMessagePipeline.`setDecoder(MessageDecoder newDecoder)`
Set the message decoder instance.
Constructors in org.opensaml.messaging.pipeline with parameters of type MessageDecoder
Modifier
Constructor
Description
``
`BasicMessagePipeline(MessageEncoder newEncoder, MessageDecoder newDecoder)`
Constructor.

## Uses of MessageDecoder in org.opensaml.messaging.pipeline.httpclient

Methods in org.opensaml.messaging.pipeline.httpclient with parameters of type MessageDecoder
Modifier and Type
Method
Description
`protected void`
BasicHttpClientMessagePipeline.`setDecoder(MessageDecoder decoder)`
Set the message decoder instance.
Constructors in org.opensaml.messaging.pipeline.httpclient with parameters of type MessageDecoder
Modifier
Constructor
Description
``
`BasicHttpClientMessagePipeline(MessageEncoder newEncoder, MessageDecoder newDecoder)`
Constructor.

## Uses of MessageDecoder in org.opensaml.messaging.pipeline.servlet

Methods in org.opensaml.messaging.pipeline.servlet with parameters of type MessageDecoder
Modifier and Type
Method
Description
`protected void`
BasicHttpServletMessagePipeline.`setDecoder(MessageDecoder decoder)`
Set the message decoder instance.
Constructors in org.opensaml.messaging.pipeline.servlet with parameters of type MessageDecoder
Modifier
Constructor
Description
``
`BasicHttpServletMessagePipeline(MessageEncoder newEncoder, MessageDecoder newDecoder)`
Constructor.

## Uses of MessageDecoder in org.opensaml.profile.action.impl

Fields in org.opensaml.profile.action.impl declared as MessageDecoder
Modifier and Type
Field
Description
`private final MessageDecoder`
DecodeMessage.`decoder`
The `MessageDecoder` instance used to decode the incoming message.
Constructors in org.opensaml.profile.action.impl with parameters of type MessageDecoder
Modifier
Constructor
Description
``
`DecodeMessage(MessageDecoder messageDecoder)`
Constructor.

## Uses of MessageDecoder in org.opensaml.saml.common.binding.decoding

Subinterfaces of MessageDecoder in org.opensaml.saml.common.binding.decoding
Modifier and Type
Interface
Description
`interface`
`SAMLMessageDecoder`
SAML extension to the generic message decoders.

## Uses of MessageDecoder in org.opensaml.saml.common.binding.impl

Classes in org.opensaml.saml.common.binding.impl that implement MessageDecoder
Modifier and Type
Class
Description
`class`
`BaseSAMLHttpServletRequestDecoder`
Abstract base decoder for SAML decoders.

## Uses of MessageDecoder in org.opensaml.saml.saml1.binding.decoding.impl

Classes in org.opensaml.saml.saml1.binding.decoding.impl that implement MessageDecoder
Modifier and Type
Class
Description
`class`
`HTTPArtifactDecoder`
SAML 1.X HTTP Artifact message decoder.
`class`
`HttpClientResponseSOAP11Decoder`
SAML 1.1 HTTP SOAP 1.1 binding decoder for HttpClient HttpResponse.
`class`
`HTTPPostDecoder`
SAML 1.X HTTP POST message decoder.
`class`
`HTTPSOAP11Decoder`
SAML 1.1 HTTP SOAP 1.1 binding decoder.

## Uses of MessageDecoder in org.opensaml.saml.saml2.binding.decoding.impl

Classes in org.opensaml.saml.saml2.binding.decoding.impl that implement MessageDecoder
Modifier and Type
Class
Description
`class`
`HTTPArtifactDecoder`
SAML 2 Artifact Binding decoder, support both HTTP GET and POST.
`class`
`HttpClientResponseSOAP11Decoder`
SAML 2.0 SOAP 1.1 over HTTP binding decoder for HttpClient HttpResponse.
`class`
`HTTPPostDecoder`
Message decoder implementing the SAML 2.0 HTTP POST binding.
`class`
`HTTPPostSimpleSignDecoder`
Message decoder implementing the SAML 2.0 HTTP POST-SimpleSign binding.
`class`
`HTTPRedirectDeflateDecoder`
SAML 2.0 HTTP Redirect decoder using the DEFLATE encoding method.
`class`
`HTTPSOAP11Decoder`
SAML 2.0 SOAP 1.1 over HTTP binding decoder.

## Uses of MessageDecoder in org.opensaml.soap.client.soap11.decoder.http.impl

Classes in org.opensaml.soap.client.soap11.decoder.http.impl that implement MessageDecoder
Modifier and Type
Class
Description
`class`
`HttpClientResponseSOAP11Decoder`
Basic SOAP 1.1 decoder for HTTP transport via an HttpClient's `ClassicHttpResponse`.

## Uses of MessageDecoder in org.opensaml.soap.soap11.decoder.http.impl

Classes in org.opensaml.soap.soap11.decoder.http.impl that implement MessageDecoder
Modifier and Type
Class
Description
`class`
`HTTPSOAP11Decoder`
Basic SOAP 1.1 decoder for HTTP transport.